set_leds(3)

NAME
set_leds - Sets the state of the keyboard LED indicators. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void set_leds(int leds);

DESCRIPTION
Overrides the state of the keyboard LED indicators. The parameter is a bitmask containing any of the values KB_SCROLOCK_FLAG, KB_NUMLOCK_FLAG, and KB_CAPSLOCK_FLAG, or -1 to restore the default behavior. Example:
   /* Cycle led indicators. */
   set_leds(KB_SCROLOCK_FLAG);
   rest(1000);
   set_leds(KB_CAPSLOCK_FLAG);
   rest(1000);
   set_leds(KB_NUMLOCK_FLAG);
   rest(1000);
   set_leds(-1);

Note that the led behaviour cannot be guaranteed on some platforms, some leds might not react, or none at all. Therefore you shouldn't rely only on them to communicate information to the user, just in case it doesn't get through.

SEE ALSO
install_keyboard(3), key_led_flag(3)